plaster.typeMap = {
  "apl": {mime: "text/apl", path: "mode/apl.js"},
  "aspx": {mime: "application/x-aspx", path: "mode/htmlembedded.js"},
  "asterisk": {mime: "text/x-asterisk", path: "mode/asterisk.js"},
  "brainfuck": {mime: "text/x-brainfuck", path: "mode/brainfuck.js"},
  "c": {mime: "text/x-c", path: "mode/clike.js"},
  "c++hdr": {mime: "text/x-c++hdr", path: "mode/clike.js"},
  "c++src": {mime: "text/x-c++src", path: "mode/clike.js"},
  "cassandra": {mime: "text/x-cassandra", path: "mode/sql.js"},
  "ceylon": {mime: "text/x-ceylon", path: "mode/clike.js"},
  "clojure": {mime: "text/x-clojure", path: "mode/clojure.js"},
  "clojurescript": {mime: "text/x-clojurescript", path: "mode/clojure.js"},
  "cmake": {mime: "text/x-cmake", path: "mode/cmake.js"},
  "cobol": {mime: "text/x-cobol", path: "mode/cobol.js"},
  "coffeescript": {mime: "text/x-coffeescript", path: "mode/coffeescript.js"},
  "common-lisp": {mime: "text/x-common-lisp", path: "mode/commonlisp.js"},
  "crystal": {mime: "text/x-crystal", path: "mode/crystal.js"},
  "csharp": {mime: "text/x-csharp", path: "mode/clike.js"},
  "css": {mime: "text/css", path: "mode/css.js"},
  "cypher-query": {mime: "application/x-cypher-query", path: "mode/cypher.js"},
  "cython": {mime: "text/x-cython", path: "mode/python.js"},
  "d": {mime: "text/x-d", path: "mode/d.js"},
  "dart": {mime: "application/dart", path: "mode/dart.js"},
  "diff": {mime: "text/x-diff", path: "mode/diff.js"},
  "django": {mime: "text/x-django", path: "mode/django.js"},
  "dockerfile": {mime: "text/x-dockerfile", path: "mode/dockerfile.js"},
  "dylan": {mime: "text/x-dylan", path: "mode/dylan.js"},
  "ebnf": {mime: "text/x-ebnf", path: "mode/ebnf.js"},
  "ecl": {mime: "text/x-ecl", path: "mode/ecl.js"},
  "ecmascript": {mime: "text/ecmascript", path: "mode/javascript.js"},
  "edn": {mime: "application/edn", path: "mode/clojure.js"},
  "eiffel": {mime: "text/x-eiffel", path: "mode/eiffel.js"},
  "ejs": {mime: "application/x-ejs", path: "mode/htmlembedded.js"},
  "elm": {mime: "text/x-elm", path: "mode/elm.js"},
  "erb": {mime: "application/x-erb", path: "mode/htmlembedded.js"},
  "erlang": {mime: "text/x-erlang", path: "mode/erlang.js"},
  "ez80": {mime: "text/x-ez80", path: "mode/z80.js"},
  "factor": {mime: "text/x-factor", path: "mode/factor.js"},
  "fcl": {mime: "text/x-fcl", path: "mode/fcl.js"},
  "feature": {mime: "text/x-feature", path: "mode/gherkin.js"},
  "forth": {mime: "text/x-forth", path: "mode/forth.js"},
  "fortran": {mime: "text/x-fortran", path: "mode/fortran.js"},
  "fragment": {mime: "x-shader/x-fragment", path: "mode/clike.js"},
  "gfm": {mime: "text/x-gfm", path: "mode/gfm.js"},
  "go": {mime: "text/x-go", path: "mode/go.js"},
  "gql": {mime: "text/x-gql", path: "mode/sql.js"},
  "groovy": {mime: "text/x-groovy", path: "mode/groovy.js"},
  "gss": {mime: "text/x-gss", path: "mode/css.js"},
  "haml": {mime: "text/x-haml", path: "mode/haml.js"},
  "handlebars-template": {mime: "text/x-handlebars-template", path: "mode/handlebars.js"},
  "haskell": {mime: "text/x-haskell", path: "mode/haskell.js"},
  "haxe": {mime: "text/x-haxe", path: "mode/haxe.js"},
  "hive": {mime: "text/x-hive", path: "mode/sql.js"},
  "html": {mime: "text/html", path: "mode/xml.js"},
  "http": {mime: "message/http", path: "mode/http.js"},
  "httpd-php": {mime: "application/x-httpd-php", path: "mode/php.js"},
  "httpd-php-open": {mime: "application/x-httpd-php-open", path: "mode/php.js"},
  "hxml": {mime: "text/x-hxml", path: "mode/haxe.js"},
  "ini": {mime: "text/x-ini", path: "mode/properties.js"},
  "java": {mime: "text/x-java", path: "mode/clike.js"},
  "javascript": {mime: "text/javascript", path: "mode/javascript.js"},
  "json": {mime: "application/json", path: "mode/javascript.js"},
  "jsp": {mime: "application/x-jsp", path: "mode/htmlembedded.js"},
  "jsx": {mime: "text/jsx", path: "mode/jsx.js"},
  "julia": {mime: "text/x-julia", path: "mode/julia.js"},
  "kotlin": {mime: "text/x-kotlin", path: "mode/clike.js"},
  "latex": {mime: "text/x-latex", path: "mode/stex.js"},
  "less": {mime: "text/x-less", path: "mode/css.js"},
  "literate-haskell": {mime: "text/x-literate-haskell", path: "mode/haskell-literate.js"},
  "lua": {mime: "text/x-lua", path: "mode/lua.js"},
  "mariadb": {mime: "text/x-mariadb", path: "mode/sql.js"},
  "markdown": {mime: "text/x-markdown", path: "mode/markdown.js"},
  "mbox": {mime: "application/mbox", path: "mode/mbox.js"},
  "mirc": {mime: "text/mirc", path: "mode/mirc.js"},
  "mscgen": {mime: "text/x-mscgen", path: "mode/mscgen.js"},
  "msgenny": {mime: "text/x-msgenny", path: "mode/mscgen.js"},
  "mssql": {mime: "text/x-mssql", path: "mode/sql.js"},
  "mumps": {mime: "text/x-mumps", path: "mode/mumps.js"},
  "mysql": {mime: "text/x-mysql", path: "mode/sql.js"},
  "n-triples": {mime: "text/n-triples", path: "mode/ntriples.js"},
  "nesc": {mime: "text/x-nesc", path: "mode/clike.js"},
  "nginx-conf": {mime: "text/x-nginx-conf", path: "mode/nginx.js"},
  "nsis": {mime: "text/x-nsis", path: "mode/nsis.js"},
  "objectivec": {mime: "text/x-objectivec", path: "mode/clike.js"},
  "octave": {mime: "text/x-octave", path: "mode/octave.js"},
  "oz": {mime: "text/x-oz", path: "mode/oz.js"},
  "pascal": {mime: "text/x-pascal", path: "mode/pascal.js"},
  "perl": {mime: "text/x-perl", path: "mode/perl.js"},
  "pgp": {mime: "application/pgp", path: "mode/asciiarmor.js"},
  "pgp-keys": {mime: "application/pgp-keys", path: "mode/asciiarmor.js"},
  "pgp-signature": {mime: "application/pgp-signature", path: "mode/asciiarmor.js"},
  "pgsql": {mime: "text/x-pgsql", path: "mode/sql.js"},
  "php": {mime: "text/x-php", path: "mode/php.js"},
  "pig": {mime: "text/x-pig", path: "mode/pig.js"},
  "plsql": {mime: "text/x-plsql", path: "mode/sql.js"},
  "properties": {mime: "text/x-properties", path: "mode/properties.js"},
  "protobuf": {mime: "text/x-protobuf", path: "mode/protobuf.js"},
  "puppet": {mime: "text/x-puppet", path: "mode/puppet.js"},
  "python": {mime: "text/x-python", path: "mode/python.js"},
  "q": {mime: "text/x-q", path: "mode/q.js"},
  "rpm-changes": {mime: "text/x-rpm-changes", path: "mode/rpm.js"},
  "rpm-spec": {mime: "text/x-rpm-spec", path: "mode/rpm.js"},
  "rsrc": {mime: "text/x-rsrc", path: "mode/r.js"},
  "ruby": {mime: "text/x-ruby", path: "mode/ruby.js"},
  "rustsrc": {mime: "text/x-rustsrc", path: "mode/rust.js"},
  "sas": {mime: "text/x-sas", path: "mode/sas.js"},
  "sass": {mime: "text/x-sass", path: "mode/sass.js"},
  "scala": {mime: "text/x-scala", path: "mode/clike.js"},
  "scheme": {mime: "text/x-scheme", path: "mode/scheme.js"},
  "scss": {mime: "text/x-scss", path: "mode/css.js"},
  "sieve": {mime: "application/sieve", path: "mode/sieve.js"},
  "slim": {mime: "text/x-slim", path: "mode/slim.js"},
  "smarty": {mime: "text/x-smarty", path: "mode/smarty.js"},
  "solr": {mime: "text/x-solr", path: "mode/solr.js"},
  "soy": {mime: "text/x-soy", path: "mode/soy.js"},
  "sparql-query": {mime: "application/sparql-query", path: "mode/sparql.js"},
  "spreadsheet": {mime: "text/x-spreadsheet", path: "mode/spreadsheet.js"},
  "sql": {mime: "text/x-sql", path: "mode/sql.js"},
  "squirrel": {mime: "text/x-squirrel", path: "mode/clike.js"},
  "stex": {mime: "text/x-stex", path: "mode/stex.js"},
  "styl": {mime: "text/x-styl", path: "mode/stylus.js"},
  "swift": {mime: "text/x-swift", path: "mode/swift.js"},
  "systemverilog": {mime: "text/x-systemverilog", path: "mode/verilog.js"},
  "tcl": {mime: "text/x-tcl", path: "mode/tcl.js"},
  "textile": {mime: "text/x-textile", path: "mode/textile.js"},
  "tiddlywiki": {mime: "text/x-tiddlywiki", path: "mode/tiddlywiki.js"},
  "tiki": {mime: "text/tiki", path: "mode/tiki.js"},
  "tlv": {mime: "text/x-tlv", path: "mode/verilog.js"},
  "tornado": {mime: "text/x-tornado", path: "mode/tornado.js"},
  "ttcn-asn": {mime: "text/x-ttcn-asn", path: "mode/asn.1.js"},
  "ttcn-cfg": {mime: "text/x-ttcn-cfg", path: "mode/ttcn-cfg.js"},
  "turtle": {mime: "text/turtle", path: "mode/turtle.js"},
  "twig": {mime: "text/x-twig", path: "mode/twig.js"},
  "typescript": {mime: "text/typescript", path: "mode/javascript.js"},
  "typescript-jsx": {mime: "text/typescript-jsx", path: "mode/jsx.js"},
  "vb": {mime: "text/x-vb", path: "mode/vb.js"},
  "vbscript": {mime: "text/vbscript", path: "mode/vbscript.js"},
  "velocity": {mime: "text/velocity", path: "mode/velocity.js"},
  "verilog": {mime: "text/x-verilog", path: "mode/verilog.js"},
  "vertex": {mime: "x-shader/x-vertex", path: "mode/clike.js"},
  "vhdl": {mime: "text/x-vhdl", path: "mode/vhdl.js"},
  "vue": {mime: "script/x-vue", path: "mode/vue.js"},
  "webidl": {mime: "text/x-webidl", path: "mode/webidl.js"},
  "xml": {mime: "text/xml", path: "mode/xml.js"},
  "xml-dtd": {mime: "application/xml-dtd", path: "mode/dtd.js"},
  "xquery": {mime: "application/xquery", path: "mode/xquery.js"},
  "xu": {mime: "text/x-xu", path: "mode/mscgen.js"},
  "yaml": {mime: "text/x-yaml", path: "mode/yaml.js"},
  "z80": {mime: "text/x-z80", path: "mode/z80.js"},
}